#!/bin/sh

echo -n "Install additional software? [y/n] "
read install

echo -n "Move dotfiles to which user? "
read user

if [[ $install == y ]]; then
    pkg_add firefox vlc git vim 
fi

echo "[*] Installing necessary software..."
pkg_add feh conky i3 i3status nitrogen pcmanfm dmenu i3lock scrot rofi ImageMagick slim slim-themes zsh curl wget screen iftop htop

echo "[*] Copying dotfiles..."
cp .conkyrc /home/$user/.conkyrc
cp .vimrc /home/$user/.vimrc
cp .Xdefaults /home/$user/.Xdefaults
cp -r .config /home/$user/
cp .i3status.conf /home/$user/
cp .xinitrc /home/$user/
cp background.jpg /home/$user/.background.jpg
cp doas.conf /etc/
cp slim.conf /etc/

chown -R $user /home/$user

cp -R ./openbsd-dark /usr/local/share/slim/themes/


echo "[*] Activate some services..."
rcctl enable avahi_daemon
rcctl enable slim
rcctl disable xenodm


echo "[*] Done."
